package co.hyperverge.hypersnapsdk.hypersnapsdk_flutter;

import android.util.Log;

import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import co.hyperverge.hypersnapsdk.objects.HVBaseResponse;
import co.hyperverge.hypersnapsdk.objects.HVResponse;

public class FLHVUtils {
    public static final String TAG = "FLHVUtils";
    public static ArrayList<Map<String,Object>> getFailedResponsesList(List<HVBaseResponse> retakeAttemptResponses){
        ArrayList<Map<String,Object>> arrayList = new ArrayList<>();
        try {
            for (HVBaseResponse response : retakeAttemptResponses
            ) {
                HashMap<String,Object> responseMap = new HashMap<>();
                arrayList.add(convertHVResponseToMap(response, responseMap));
            }
        }catch (Exception e){
            Log.e(TAG, e.getMessage());
        }
        return arrayList;
    }


    public static HashMap<String,Object> convertHVResponseToMap(HVBaseResponse hvResponse, HashMap<String,Object> resultsObj){

        JSONObject apiResult = hvResponse.getApiResult();
        JSONObject apiHeaders = hvResponse.getApiHeaders();

        String imageURI = hvResponse.getImageURI();
        String fullImageUri = hvResponse.getFullImageURI();
        String action = hvResponse.getAction();
        String retakeMessage = hvResponse.getRetakeMessage();
        String videoUri = hvResponse.getVideoUri();
        Map<String,List<String>> gestureLivenessUrls = hvResponse.getGestureLivenessImageUrls();

        if (apiResult != null) {
            try {
                resultsObj.put("apiResult", apiResult.toString());
                resultsObj.put("imageUri", imageURI);
                if (fullImageUri != null && !fullImageUri.isEmpty()) {
                    resultsObj.put("fullImageUri", fullImageUri);
                }
                if (retakeMessage != null && !retakeMessage.isEmpty()) {
                    resultsObj.put("retakeMessage", retakeMessage);
                }
                if (action != null && !action.isEmpty()) {
                    resultsObj.put("action", action);
                }
                if (videoUri != null && !videoUri.isEmpty()) {
                    resultsObj.put("videoUri", videoUri);
                }
                if(gestureLivenessUrls != null && !gestureLivenessUrls.isEmpty()) {
                    resultsObj.put("gestureLivenessUrls", gestureLivenessUrls);
                }
            } catch (Exception e) {
                Log.e(TAG, e.getMessage());
            }
        }
        if (apiHeaders != null) {
            try {
                resultsObj.put("apiHeaders",apiHeaders.toString());
            } catch (Exception e) {
                Log.e(TAG, e.getMessage());
            }
        }
        return resultsObj;
    }

}
