//
//  FLHVQRScanCapture.swift
//

import Foundation
import HyperSnapSDK

public class FLHVQRScanCapture{
    
    var hvQRConfig = HVQRConfig()
    
    public func getHVQRConfig() -> HVQRConfig {
        return hvQRConfig
    }
    
    public func createNewQRConfig() {
        hvQRConfig = HVQRConfig();
    }
    
    public func setHVQRConfig(qrConfig: Dictionary<String, Any>) {
        if let shouldShowInstructionPage = (qrConfig[FLHyperSnapConstants.QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE] as? Bool){
            getHVQRConfig().setShouldShowInstructionsPage(shouldShowInstructionPage)
        }
        if let uiStrings = (qrConfig[FLHyperSnapConstants.QR_CAPTURE_UI_STRINGS] as? Dictionary<String, Any>){
            if (!uiStrings.isEmpty){
                setUIStrings(uiStrings: uiStrings)
            }
        }
    }
    
    public func setUIStrings(uiStrings: Dictionary<String,Any>) {
        if let keyExists = uiStrings["qrCaptureSubText"] as? String {
            getHVQRConfig().textConfig.setQrCaptureSubText(keyExists)
        }
        if let keyExists = uiStrings["qrCaptureTitleText"] as? String{
            getHVQRConfig().textConfig.setQrCaptureTitle(keyExists )
        }
        if let keyExists = uiStrings["qrCaptureDescText"] as? String{
            getHVQRConfig().textConfig.setQrCaptureDescription(keyExists )
        }
        if let keyExists = uiStrings["qrInstructionsProceedText"] as? String{
            getHVQRConfig().textConfig.setQrInstructionsProceedText(keyExists )
        }
        if let keyExists = uiStrings["qrInstructionsDescText"] as? String{
            getHVQRConfig().textConfig.setQrInstructionsDescription(keyExists )
        }
        if let keyExists = uiStrings["qrInstructionTitleText"] as? String{
            getHVQRConfig().textConfig.setQrInstructionsTitle(keyExists )
        }
        if let keyExists = uiStrings["qrCaptureSkipText"] as? String{
            getHVQRConfig().textConfig.setQrCaptureSkipButtonText(keyExists )
        }
    }
    
    public func start(context: UIViewController, callback: @escaping ((HVError?,[String: AnyObject]?)->Void)) {
        HVQRViewController.start(context, hvQRConfig: getHVQRConfig(), completionHandler: callback)
    }
}
