import 'package:flutter/services.dart';

import 'hyper_snap_sdk_constants.dart';

class HVQRScanCapture {
  static const MethodChannel _hvQRScanCaptureChannel =
      MethodChannel(HyperSnapSDKConstants.hyperSnapChannel);

  static bool? _shouldShowInstructionPage;

  @Deprecated('use Barcode config')

  /// qrScanCaptureSetShouldShowInstructionPage() is set to true if instructions page has to be shown to the user
  ///     in the client's application
  ///
  /// params :
  ///     shouldShowInstructionPage : type - bool
  /// returns :
  ///     void
  static qrScanCaptureSetShouldShowInstructionPage(
      bool shouldShowInstructionPage) {
    _shouldShowInstructionPage = shouldShowInstructionPage;
  }

  @Deprecated('use HVBarcodeScanCapture')

  /// qrScanCaptureStart() is used to start qr scan activity/view inside the client's application
  ///
  /// params :
  /// returns :
  ///     Future<Map>, contains the response of qrscan from native functions
  static Future<Map> qrScanCaptureStart() async {
    Map map = Map();
    try {
      map = await _hvQRScanCaptureChannel
          .invokeMethod(HyperSnapSDKConstants.qrScanCaptureStart, {
        HyperSnapSDKConstants.hvQRConfig: {
          HyperSnapSDKConstants.qrShouldShowInstructionPage:
              _shouldShowInstructionPage
        }
      });
    } catch (e) {
      print(e.toString());
    }
    return map;
  }
}
