class HyperSnapSDKConstants {
  ///----------------------------MethodChannel constants--------------------------
  static const String hyperSnapChannel = "hyperSnapSDK_flutter";

  ///----------------------------hyper-snap sdk constants-------------------------
  ///map properties
  static const String appId = "appId";
  static const String appKey = "appKey";
  static const String accessToken = "accessToken";
  static const String region = "region";
  static const String userId = "userId";

  ///hyper snap config properties
  static const String shouldEnableSSLPinning = "shouldEnableSSLPinning";
  static const String shouldUseSignature = "shouldUseSignature";
  static const String shouldReturnRawResponse = "shouldReturnRawResponse";
  static const String connectTimeout = "connectTimeout";
  static const String readTimeout = "readTimeout";
  static const String writeTimeout = "writeTimeout";

  ///methods
  static const String initialize = "initialize";
  static const String initializeWithToken = "initializeWithToken";
  static const String hyperSnapSDKConfig = "hyperSnapSDKConfig";
  static const String startUserSession = "startUserSession";
  static const String endUserSession = "endUserSession";
  static const String sortJSONKeysAlphabetically = "sortJSONKeysAlphabetically";
  static const String uiConfigMap = "uiConfigMap";

  ///ui config
  static const String hvUIColor = "colors";
  static const String hvUIFont = "fonts";
  static const String hvUIFontSize = "fontSize";
  static const String hvUIFontWeight = "fontWeight";
  static const String hvUIAnimation = "animation";
  static const String hvUIBorderRadius = "borderRadius";
  static const String hvUIAlignment = "alignment";

  ///ui color
  static const String titleTextColor = "titleTextColor";
  static const String descriptionTextColor = "descriptionTextColor";
  static const String documentSideHintTextColor = "documentSideHintTextColor";
  static const String statusTextColor = "statusTextColor";
  static const String primaryButtonBackgroundColor = "primaryButtonBackgroundColor";
  static const String primaryButtonTextColor = "primaryButtonTextColor";
  static const String primaryButtonBorderColor = "primaryButtonBorderColor";
  static const String secondaryButtonBackgroundColor = "secondaryButtonBackgroundColor";
  static const String secondaryButtonTextColor = "secondaryButtonTextColor";
  static const String secondaryButtonBorderColor = "secondaryButtonBorderColor";
  static const String captureButtonColor = "captureButtonColor";
  static const String retakeMessageColor = "retakeMessageColor";
  static const String alertTextBoxTextColor = "alertTextBoxTextColor";
  static const String alertTextBoxBorderColor = "alertTextBoxBorderColor";
  static const String alertTextBoxBackgroundColor = "alertTextBoxBackgroundColor";

  ///ui font
  static const String titleTextFont = "titleTextFont";
  static const String descriptionTextFont = "descriptionTextFont";
  static const String statusTextFont = "statusTextFont";
  static const String documentSideHintTextFont = "documentSideHintTextFont";
  static const String retakeMessageFont = "retakeMessageFont";
  static const String primaryButtonTextFont = "primaryButtonTextFont";
  static const String secondaryButtonTextFont = "secondaryButtonTextFont";
  static const String alertTextBoxTextFont = "alertTextBoxTextFont";

  ///ui font size
  static const String titleTextSize = "titleTextSize";
  static const String descriptionTextSize = "descriptionTextSize";
  static const String statusTextSize = "statusTextSize";
  static const String documentSideHintTextSize = "documentSideHintTextSize";
  static const String retakeMessageTextSize = "retakeMessageTextSize";
  static const String primaryButtonTextSize = "primaryButtonTextSize";
  static const String secondaryButtonTextSize = "secondaryButtonTextSize";
  static const String alertTextBoxTextSize = "alertTextBoxTextSize";

  ///ui font weight
  static const String titleTextWeight = "titleTextWeight";
  static const String descriptionTextWeight = "descriptionTextWeight";
  static const String statusTextWeight = "statusTextWeight";
  static const String documentSideHintTextWeight = "documentSideHintTextWeight";
  static const String retakeMessageWeight = "retakeMessageWeight";
  static const String primaryButtonTextWeight = "primaryButtonTextWeight";
  static const String secondaryButtonTextWeight = "secondaryButtonTextWeight";
  static const String alertTextBoxTextWeight = "alertTextBoxTextWeight";

  ///ui animation
  static const String documentInstructionLottie = "documentInstructionLottie";
  static const String documentInstructionFrontSideLottie = "documentInstructionFrontSideLottie";
  static const String documentInstructionBackSideLottie = "documentInstructionBackSideLottie";
  static const String documentProcessingLottie = "documentProcessingLottie";
  static const String documentSuccessLottie = "documentSuccessLottie";
  static const String documentFailureLottie = "documentFailureLottie";
  static const String faceInstructionLottie = "faceInstructionLottie";
  static const String faceProcessingLottie = "faceProcessingLottie";
  static const String faceSuccessLottie = "faceSuccessLottie";
  static const String faceFailureLottie = "faceFailureLottie";
  static const String endStateProcessing = "endStateProcessing";
  static const String endStateSuccess = "endStateSuccess";
  static const String endStateFailure = "endStateFailure";
  static const String uploadFailure = "uploadFailure";
  static const String qrInstruction = "qrInstruction";

  ///ui border
  static const String primaryButtonRadius = "primaryButtonRadius";
  static const String secondaryButtonRadius = "secondaryButtonRadius";

  ///ui alignment
  static const String titleTextAlignment = "titleTextAlignment";
  static const String descriptionTextAlignment = "descriptionTextAlignment";
  static const String statusTextAlignment = "statusTextAlignment";

  ///----------------------------hyper-snap doc capture constants-------------------------
  ///map properties
  static const String docConfig = "hvDocConfig";

  ///ocr api properties
  static const String ocrEndpoint = "ocrEndpoint";
  static const String documentSideString = "documentSideString";
  static const String params = "params";
  static const String headers = "headers";

  ///doc config properties
  static const String docAspectRatioValue = "docAspectRatioValue";
  static const String docShouldSetPadding = "docShouldSetPadding";
  static const String docDefaultPaddingValue = "docDefaultPaddingValue";
  static const String docShouldShowFlashIcon = "docShouldShowFlashIcon";
  static const String docShouldShowReviewScreen = "docShouldShowReviewScreen";
  static const String docShouldShowInstructionPage =
      "docShouldShowInstructionPage";
  static const String docTypeValue = "docTypeValue";
  static const String docShouldEnableRetries = "docShouldEnableRetries";
  static const String docShouldShowCloseAlert = "docShouldShowCloseAlert";
  static const String docCloseAlertDialogTitle = "docCloseAlertDialogTitle";
  static const String docCloseAlertDialogDescription =
      "docCloseAlertDialogDescription";
  static const String docShouldShowTrustLogos = "docShouldShowTrustLogos";
  static const String docCaptureUIStrings = "docCaptureUIStrings";
  static const String ocrApiDetails = "ocrApiDetails";
  static const String docAutoCaptureDuration = "docAutoCaptureDuration";
  static const String docAutoCapture = "docAutoCapture";
  static const String docShouldEnableUpload = "docShouldEnableUpload";

  ///doc ui strings
  static const String docInstructionsTitle = "docInstructionsTitle";
  static const String docInstructions1 = "docInstructions1";
  static const String docInstructions2 = "docInstructions2";
  static const String docInstructions3 = "docInstructions3";
  static const String docInstructionsProceed = "docInstructionsProceed";
  static const String docCaptureTitle = "docCaptureTitle";
  static const String docCaptureSubtitle = "docCaptureSubtitle";
  static const String docCaptureDescription = "docCaptureDescription";
  static const String docCaptureSubText = "docCaptureSubText";
  static const String docReviewRetakeButton = "docReviewRetakeButton";
  static const String docReviewContinueButton = "docReviewContinueButton";
  static const String docReviewTitle = "docReviewTitle";
  static const String docReviewSubtitle = "docReviewSubtitle";
  static const String docReviewDescription = "docReviewDescription";
  static const String docLoaderTitle = "docLoaderTitle";
  static const String docLoaderDesc = "docLoaderDesc";
  static const String docRetakeTitleText = "docRetakeTitleText";
  static const String docRetakeButtonText = "docRetakeButtonText";

  ///methods
  static const String startDocCapture = "startDocCapture";

  ///----------------------------hyper-snap face capture constants-------------------------
  ///map properties
  static const String faceConfig = "hvFaceConfig";

  ///liveness api properties
  static const String livenessEndpoint = "livenessEndpoint";
  static const String livenessValue = "livenessValue";
  static const String livenessParams = "livenessParams";
  static const String livenessHeaders = "livenessHeaders";

  ///face config properties
  static const String faceShouldShowInstructionPage =
      "faceShouldShowInstructionPage";
  static const String faceShouldReturnFullImageUrl =
      "faceShouldReturnFullImageUrl";
  static const String faceShouldShowCameraSwitchButton =
      "faceShouldShowCameraSwitchButton";
  static const String faceVideoRecording = "faceVideoRecording";
  static const String faceShouldUseBackCamera = "faceShouldUseBackCamera";
  static const String faceShouldAddPadding = "faceShouldAddPadding";
  static const String facePadding = "facePadding";
  static const String faceAutoCapture = "faceAutoCapture";
  static const String faceShouldShowCloseAlert = "faceShouldShowCloseAlert";
  static const String faceCloseAlertDialogTitle = "faceCloseAlertDialogTitle";
  static const String faceCloseAlertDialogDesc = "faceCloseAlertDialogDesc";
  static const String faceShouldShowTrustLogos = "faceShouldShowTrustLogos";
  static const String faceCaptureUIStrings = "faceCaptureUIStrings";
  static const String livenessApiDetails = "livenessApiDetails";
  static const String faceShouldHandleRetries = "faceShouldHandleRetries";
  static const String autoCaptureDuration = "autoCaptureDuration";
  static const String totalGestures = "totalGestures";
  static const String checkActiveLiveness = "checkActiveLiveness";

  ///face ui strings
  static const String faceInstructionsTitle = "faceInstructionsTitle";
  static const String faceInstructionsDesc = "faceInstructionsDesc";
  static const String faceInstructionsTop1 = "faceInstructionsTop1";
  static const String faceInstructionsTop2 = "faceInstructionsTop2";
  static const String faceInstructionsNoGlasses = "faceInstructionsNoGlasses";
  static const String faceInstructionsBrightLight =
      "faceInstructionsBrightLight";
  static const String faceInstructionsNoHat = "faceInstructionsNoHat";
  static const String faceInstructionsProceed = "faceInstructionsProceed";
  static const String faceInstructionsProceedBackCam =
      "faceInstructionsProceedBackCam";
  static const String faceCaptureTitle = "faceCaptureTitle";
  static const String faceCaptureSubtitle = "faceCaptureSubtitle";
  static const String faceCaptureMoveCloser = "faceCaptureMoveCloser";
  static const String faceCaptureFaceFound = "faceCaptureFaceFound";
  static const String faceCaptureFaceNotFound = "faceCaptureFaceNotFound";
  static const String faceCaptureMoveAway = "faceCaptureMoveAway";
  static const String faceCaptureMultipleFaces = "faceCaptureMultipleFaces";
  static const String faceCaptureAutoCaptureWait = "faceCaptureAutoCaptureWait";
  static const String faceCaptureAutoCaptureAction =
      "faceCaptureAutoCaptureAction";
  static const String faceLoaderTitle = "faceLoaderTitle";
  static const String faceLoaderDesc = "faceLoaderDesc";
  static const String faceRetakeTitleText = "faceRetakeTitleText";
  static const String faceRetakeButtonText = "faceRetakeButtonText";
  static const String faceGesture_lookLeft = "faceGesture_lookLeft";
  static const String faceGesture_lookStraight = "faceGesture_lookStraight";
  static const String faceGesture_lookRight = "faceGesture_lookRight";

  ///video recording config properties
  static const String shouldRecordVideo = "shouldRecordVideo";
  static const String noOfFrames = "noOfFrames";
  static const String bitRateM = "bitRateM";
  static const String fps = "fps";

  ///padding properties
  static const String paddingLeft = "paddingLeft";
  static const String paddingRight = "paddingRight";
  static const String paddingTop = "paddingTop";
  static const String paddingBottom = "paddingBottom";

  ///methods
  static const String startFaceCapture = "startFaceCapture";

  ///---------------------------------------------hv network helper strings---------------------
  static const String networkHelperMakeOCRCall = "networkHelperMakeOCRCall";
  static const String networkHelperMakeFaceMatchCall =
      "networkHelperMakeFaceMatchCall";

  ///---------------------------------------------hv qr capture strings---------------------

  static const String setHVQRScanConfig = "setHVQRScanConfig";
  static const String qrScanCaptureStart = "qrScanCaptureStart";

  static const String hvQRConfig = "hvQRConfig";
  static const String qrShouldShowInstructionPage = "shouldShowInstructionPage";
  static const String qrScanUIStrings = "qrScanUIStrings";

  ///qr ui strings
  static const String qrCaptureSubText = "qrCaptureSubText";
  static const String qrCaptureTitleText = "qrCaptureTitleText";
  static const String qrCaptureDescText = "qrCaptureDescText";
  static const String qrInstructionsProceedText = "qrInstructionsProceedText";
  static const String qrInstructionsDescText = "qrInstructionsDescText";
  static const String qrInstructionTitleText = "qrInstructionTitleText";
  static const String qrCaptureSkipText = "qrCaptureSkipText";
}
